Subject: Re: [PATCH 04/34] commit-slab: add a function to deep free entries on the slab

From: SZEDER Gábor <[email-masked]>
Date: Sat, 27 Jun 2020 17:56:10 +0200

On Thu, Jun 04, 2020 at 12:43:32PM -0400, Derrick Stolee wrote:
> On 5/29/2020 4:50 AM, SZEDER Gábor wrote:
> > +void free_depth_in_slab(int **ptr)
> 
> This needs to be "static" to compile with DEVELOPER=1.

You are right, of course, but...

Do you get an error because of this when building with DEVELOPER=1?  I
don't get an error when building with DEVELOPER=1...

> (I'm working to apply your patches on top of ds/line-log-on-bloom
> so we can get the benefit of these universally-good things. I just
> want to report the things that I stumble on.)

Thanks.